## net.i2p.client
Class HandlerImpl

    java.lang.Object
      net.i2p.client.HandlerImpl

All Implemented Interfaces:
  I2CPMessageHandler

Direct Known Subclasses:
  BWLimitsMessageHandler, DestReplyMessageHandler, DisconnectMessageHandler, MessagePayloadMessageHandler, MessageStatusMessageHandler, RequestLeaseSetMessageHandler, SessionStatusMessageHandler, SetDateMessageHandler

    abstract class HandlerImpl

extends Object
implements I2CPMessageHandler

Base class for handling I2CP messages

Author:
  jrandom

Field Summary
`protected I2PAppContext` `_context`
`protected Log` `_log`

Constructor Summary
`HandlerImpl(I2PAppContext context, int type)`

Method Summary
`int` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.i2p.client.I2CPMessageHandler
`handleMessage`

Field Detail

### _log

    protected final Log _log

### _context

    protected final I2PAppContext _context

Constructor Detail

### HandlerImpl

    public HandlerImpl(I2PAppContext context,
                       int type)

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `I2CPMessageHandler`